Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class Stub

    java.lang.Object
      org.apache.axis.client.Stub

All Implemented Interfaces:
  Stub

public abstract class Stub
extends java.lang.Object
implements Stub

This class is the base for all generated stubs.

Field Summary
`protected Call` | `_call`
`protected java.net.URL` | `cachedEndpoint`
`protected java.lang.String` | `cachedPassword`
`protected QName` | `cachedPortName`
`protected java.util.Properties` | `cachedProperties`
`protected java.lang.Integer` | `cachedTimeout`
`protected java.lang.String` | `cachedUsername`
`protected boolean` | `maintainSession`
`protected boolean` | `maintainSessionSet`
`protected Service` | `service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`Stub()`

Method Summary
`Call` | `_createCall()` Creates a call from the service.
`Call` | `_getCall()` Returns last Call object associated with this stub.
`java.lang.Object` | `_getProperty(java.lang.String name)` Gets the value of a named property.
`java.util.Iterator` | `_getPropertyNames()` Return the names of configurable properties for this stub class.
`Service` | `_getService()` Provide access to the service object.
`void` | `_setProperty(java.lang.String name, java.lang.Object value)` Sets the value for a named property.
`void` | `addAttachment(java.lang.Object handler)` Add an attachment
`void` | `clearAttachments()` This method clears the request attachments.
`void` | `clearHeaders()` This method clears both requestHeaders and responseHeaders hashtables.
`void` | `extractAttachments(Call call)` Extract attachments
`protected boolean` | `firstCall()` Is this the first time the type mappings are being registered?
`java.lang.Object[]` | `getAttachments()` Get the array of attachments The attachment array is cleared after this, so it is a destructive operation.
`SOAPHeaderElement` | `getHeader(java.lang.String namespace, java.lang.String partName)` Get the header element
`SOAPHeaderElement[]` | `getHeaders()` Get the array of header elements
`java.lang.String` | `getPassword()` Get the password
`QName` | `getPortName()` Get the port name.
`SOAPHeaderElement` | `getResponseHeader(java.lang.String namespace, java.lang.String partName)` Get a response header element
`SOAPHeaderElement[]` | `getResponseHeaders()` Get the array of response header elements
`protected void` | `getResponseHeaders(Call call)` Deprecated. This method has been changed to a no-op but remains in the code to keep compatibility with pre-1.1 generated stubs.
`int` | `getTimeout()` Get the timeout value in milliseconds.
`java.lang.String` | `getUsername()` Get the user name
`java.lang.Object` | `removeProperty(java.lang.String name)` Remove a property from this instance of the Stub NOTE: This is NOT part of JAX-RPC and is an Axis extension.
`protected void` | `setAttachments(Call call)` copy the attachments from the stub to the call object.
`void` | `setHeader(SOAPHeaderElement header)` Set the header
`void` | `setHeader(java.lang.String namespace, java.lang.String partName, java.lang.Object headerValue)` Set the header
`void` | `setMaintainSession(boolean session)` If set to true, session is maintained; if false, it is not.
`void` | `setPassword(java.lang.String password)` Set the password.
`void` | `setPortName(QName portName)` Set the port QName.
`void` | `setPortName(java.lang.String portName)` Set the port name.
`protected void` | `setRequestHeaders(Call call)`
`void` | `setTimeout(int timeout)` Set the timeout in milliseconds.
`void` | `setUsername(java.lang.String username)` Set the username.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    protected Service service

### maintainSessionSet

    protected boolean maintainSessionSet

### maintainSession

    protected boolean maintainSession

### cachedProperties

    protected java.util.Properties cachedProperties

### cachedUsername

    protected java.lang.String cachedUsername

### cachedPassword

    protected java.lang.String cachedPassword

### cachedEndpoint

    protected java.net.URL cachedEndpoint

### cachedTimeout

    protected java.lang.Integer cachedTimeout

### cachedPortName

    protected QName cachedPortName

### _call

    protected Call _call

Constructor Detail

### Stub

    public Stub()

Method Detail

### firstCall

    protected boolean firstCall()

  Is this the first time the type mappings are being registered?

### _setProperty

    public void _setProperty(java.lang.String name,
                             java.lang.Object value)

  Sets the value for a named property. JAX-RPC 1.0 specification specifies a standard set of properties that may be passed to the Stub._setProperty method. These properties include:
  - javax.xml.rpc.security.auth.username: Username for the HTTP Basic Authentication
  - javax.xml.rpc.security.auth.password: Password for the HTTP Basic Authentication
  - javax.xml.rpc.service.endpoint.address: Target service endpoint address.
  - [TBD: Additional properties]

  Specified by:
    `_setProperty` in interface `Stub`
  Parameters:
    `name` - - Name of the property
    `value` - - Value of the property

### _getProperty

    public java.lang.Object _getProperty(java.lang.String name)

  Gets the value of a named property.

  Specified by:
    `_getProperty` in interface `Stub`
  Parameters:
    `name` -
  Returns:
    the value of a named property.

### removeProperty

    public java.lang.Object removeProperty(java.lang.String name)

  Remove a property from this instance of the Stub NOTE: This is NOT part of JAX-RPC and is an Axis extension.

  Parameters:
    `name` - the name of the property to remove
  Returns:
    the value to which the key had been mapped, or null if the key did not have a mapping.

### _getPropertyNames

    public java.util.Iterator _getPropertyNames()

  Return the names of configurable properties for this stub class.

  Specified by:
    `_getPropertyNames` in interface `Stub`
  Returns:
    Iterator for the property names of the type `java.lang.String`

### setUsername

    public void setUsername(java.lang.String username)

  Set the username.

### getUsername

    public java.lang.String getUsername()

  Get the user name

### setPassword

    public void setPassword(java.lang.String password)

  Set the password.

### getPassword

    public java.lang.String getPassword()

  Get the password

### getTimeout

    public int getTimeout()

  Get the timeout value in milliseconds. 0 means no timeout.

### setTimeout

    public void setTimeout(int timeout)

  Set the timeout in milliseconds.

### getPortName

    public QName getPortName()

  Get the port name.

### setPortName

    public void setPortName(QName portName)

  Set the port QName.

### setPortName

    public void setPortName(java.lang.String portName)

  Set the port name.

### setMaintainSession

    public void setMaintainSession(boolean session)

  If set to true, session is maintained; if false, it is not.

### setHeader

    public void setHeader(java.lang.String namespace,
                          java.lang.String partName,
                          java.lang.Object headerValue)

  Set the header

  Parameters:
    `namespace` -
    `partName` - that uniquely identify a header object.
    `headerValue` - Object that is sent in the request as a SOAPHeader

### setHeader

    public void setHeader(SOAPHeaderElement header)

  Set the header

### extractAttachments

    public void extractAttachments(Call call)

  Extract attachments

  Parameters:
    `call` -

### addAttachment

    public void addAttachment(java.lang.Object handler)

  Add an attachment

  Parameters:
    `handler` -

### getHeader

    public SOAPHeaderElement getHeader(java.lang.String namespace,
                                       java.lang.String partName)

  Get the header element

### getResponseHeader

    public SOAPHeaderElement getResponseHeader(java.lang.String namespace,
                                               java.lang.String partName)

  Get a response header element

### getHeaders

    public SOAPHeaderElement[] getHeaders()

  Get the array of header elements

### getResponseHeaders

    public SOAPHeaderElement[] getResponseHeaders()

  Get the array of response header elements

### getAttachments

    public java.lang.Object[] getAttachments()

  Get the array of attachments The attachment array is cleared after this, so it is a destructive operation.

  Returns:
    the array of attachments that was in the message, or an empty array if there were none

### clearHeaders

    public void clearHeaders()

  This method clears both requestHeaders and responseHeaders hashtables.

### clearAttachments

    public void clearAttachments()

  This method clears the request attachments.

### setRequestHeaders

    protected void setRequestHeaders(Call call)
                              throws AxisFault

  Throws:
    `AxisFault`

### setAttachments

    protected void setAttachments(Call call)
                           throws AxisFault

  copy the attachments from the stub to the call object. After doing so, the local set of attachments are cleared.

  Parameters:
    `call` - call object to configure
  Throws:
    `AxisFault`

### _getService

    public Service _getService()

  Provide access to the service object. Not part of JAX-RPC

  Returns:
    the service object for this stub

### _createCall

    public Call _createCall()
                     throws ServiceException

  Creates a call from the service.

  Returns:
  Throws:
    `ServiceException`

### _getCall

    public Call _getCall()

  Returns last Call object associated with this stub.

### getResponseHeaders

    protected void getResponseHeaders(Call call)
                               throws AxisFault

  Deprecated. This method has been changed to a no-op but remains in the code to keep compatibility with pre-1.1 generated stubs.

  Helper method for updating headers from the response. Deprecated, since response headers should not be automatically reflected back into the stub list.

  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.